Loading...
Searching...
No Matches
ranges::views::remove_fn Struct Reference
Inheritance diagram for ranges::views::remove_fn:

## Related Symbols

(Note that these are not member symbols.)
constexpr remove_fn | remove {}

## Additional Inherited Members

Public Member Functions inherited from ranges::views::remove_base_fn
template<typename Rng , typename Value > requires move_constructible<Value> && viewable_range<Rng> && input_range<Rng> && indirectly_comparable<iterator_t<Rng>, Value const *, equal_to>
constexpr auto | operator() (Rng &&rng, Value value) const
template<typename Rng , typename Value , typename Proj > requires move_constructible<Value> && viewable_range<Rng> && input_range<Rng> && indirectly_comparable<iterator_t<Rng>, Value const *, equal_to, Proj>
constexpr auto | operator() (Rng &&rng, Value value, Proj proj) const
Public Member Functions inherited from ranges::views::remove_bind_fn
template<typename Value , typename Proj > requires (!range<Value>)
constexpr auto | operator() (Value &&value, Proj proj) const
template<typename Value >
constexpr auto | operator() (Value value) const